Package Details: mongodb44-bin 4.4.18-1

Git Clone URL: https://aur.archlinux.org/mongodb44-bin.git (read-only, click to copy)
Package Base: mongodb44-bin
Description: A high-performance, open source, schema-free document-oriented database
Upstream URL: https://www.mongodb.com/
Keywords: database document-oriented mongo mongod mongodb mongos
Licenses: custom:SSPLv1
Conflicts: mongodb
Provides: mongodb
Submitter: rafaelff
Maintainer: rafaelff (ali.molaei)
Last Packager: rafaelff
Votes: 2
Popularity: 0.039603
First Submitted: 2021-07-28 01:36 (UTC)
Last Updated: 2022-11-16 14:38 (UTC)

Dependencies (4)

Required by (26)

Sources (9)

Latest Comments

jonnyabu commented on 2022-11-14 20:58 (UTC)

You are correct, Scimmia. I'm on Manjaro. :o As luck would have it, they pushed updates today and after updating, it let me install as it found 1.1.1.s-2 in those repos. So I guess what I learned is...gotta wait until openssl updates have been pushed to catch up to what Arch has.

Thanks

Scimmia commented on 2022-11-14 06:04 (UTC)

jonnyabu, you're either not up-to-date, or you're not on Arch.

jonnyabu commented on 2022-11-14 05:33 (UTC) (edited on 2022-11-14 05:33 (UTC) by jonnyabu)

Since the latest release, I have been unable to update this. It fails with a message:

Could not find all required packages: openssl-1.1 (Wanted by: mongodb44-bin

Yet I have 1.1.1.q-1 installed. I am a noob at editing the build files but I changed it to curl for 1.1.1.q-1 just to see, with no luck.

depends=(curl openssl-1.1.1.q-1)

I would appreciate any tips on how to let this recognize I have openssl installed and continue building. Thanks!

aminvakil commented on 2022-11-05 08:59 (UTC)

@ali.molaei Commit message is wrong, you have added openssl-1.1 to deps, but commit message says openssl-1.0 .

ali.molaei commented on 2022-11-05 08:56 (UTC)

@Scimmia thanks for informing me

Scimmia commented on 2022-11-05 06:29 (UTC)

Looks like this needs openssl-1.1

rafaelff commented on 2022-09-04 11:04 (UTC)

Actually, the checksums were incorrect and I fixed them right after the report.

ali.molaei commented on 2022-09-04 10:23 (UTC)

@titandino checksums are ok for me, is your download process done ok? Please try again and let me know

titandino commented on 2022-08-22 00:46 (UTC)

Trying to build the package results in some checksum fails.

==> Validating source_x86_64 files with sha256sums...
    mongodb-org-shell_4.4.16_x86_64.deb ... FAILED
    mongodb-org-server_4.4.16_x86_64.deb ... FAILED
    mongodb-org-mongos_4.4.16_x86_64.deb ... FAILED
==> ERROR: One or more files did not pass the validity check!